Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierResponseMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierResponseMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class GlacierResponseMessage

extends GlacierMessage

See Also:
  Serialized Form

Field Summary
`protected boolean[]` | `authoritative`
`protected boolean[]` | `haveIt`
`protected FragmentKey[]` | `keys`
`protected long[]` | `lifetimes`
`static short` | `TYPE`

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierResponseMessage(int uid, FragmentKey[] keys, boolean[] haveIt, long[] lifetimes, boolean[] authoritative, NodeHandle source, Id dest, boolean isResponse, char tag)`
`GlacierResponseMessage(int uid, FragmentKey key, boolean haveIt, long lifetime, boolean authoritative, NodeHandle source, Id dest, boolean isResponse, char tag)`

Method Summary
`static GlacierResponseMessage` | `build(InputBuffer buf, Endpoint endpoint)`
`boolean` | `getAuthoritative(int index)`
`long` | `getExpiration(int index)`
`boolean` | `getHaveIt(int index)`
`FragmentKey` | `getKey(int index)`
`short` | `getType()` Raw Serialization
`int` | `numKeys()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### keys

    protected FragmentKey[] keys

### lifetimes

    protected long[] lifetimes

### haveIt

    protected boolean[] haveIt

### authoritative

    protected boolean[] authoritative

Constructor Detail

### GlacierResponseMessage

    public GlacierResponseMessage(int uid,
                                  FragmentKey key,
                                  boolean haveIt,
                                  long lifetime,
                                  boolean authoritative,
                                  NodeHandle source,
                                  Id dest,
                                  boolean isResponse,
                                  char tag)

### GlacierResponseMessage

    public GlacierResponseMessage(int uid,
                                  FragmentKey[] keys,
                                  boolean[] haveIt,
                                  long[] lifetimes,
                                  boolean[] authoritative,
                                  NodeHandle source,
                                  Id dest,
                                  boolean isResponse,
                                  char tag)

Method Detail

### numKeys

    public int numKeys()

### getKey

    public FragmentKey getKey(int index)

### getHaveIt

    public boolean getHaveIt(int index)

### getAuthoritative

    public boolean getAuthoritative(int index)

### getExpiration

    public long getExpiration(int index)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawSerializable`
  Overrides:
    `serialize` in class `GlacierMessage`
  Throws:
    `java.io.IOException`

### build

    public static GlacierResponseMessage build(InputBuffer buf,
                                               Endpoint endpoint)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.